Subject: Re: bug#13460: Issue to change dictionary when using hunspell on emacs
From: Agustin Martin <[email-masked]>
To: [email-masked]
Date: Mon, 21 Jan 2013 17:52:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Jan 18, 2013 at 08:05:41PM +0100, Agustin Martin wrote:
> On Fri, Jan 18, 2013 at 07:03:34PM +0100, Jochen Schmitt wrote:
> > On Fri, Jan 18, 2013 at 06:05:01PM +0100, Agustin Martin wrote:
> > > I will test these changes a bit more and if no problems appear will commit
> > > early next week. Feedback is welcome.
> > >
> > I will be happy, if you can notifiy me about the state of your work, 
> > because I want that this patch may be integrated in the official
> > emacs package of Fedora Linux. This is important from my point of
> > view, because hunspell is the default spell checking application
> > in Fedora.
> 
> Once I commit changes I will close the bug report and you will receive a
> message about it. If you want the final diff I can attach it to the closing
> message.

Fix committed, closing bug report.

For english I left en_US alone. For the reasons shown in the bug thread I
think is not a good idea to mix them.

I have relaxed a bit the check, if a standard dict does not have an
associated hunspell mapping it is ignored for hunspell with a warning,
so error message will only appear when trying to use that dict instead
of everytime hunspell is used as spellchecker.

Regards,

-- 
Agustin